hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rohith Sharma K S (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-7346) Fix compilation errors against hbase2 alpha release
Date Wed, 18 Oct 2017 18:28:00 GMT

    [ https://issues.apache.org/jira/browse/YARN-7346?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16209784#comment-16209784
] 

Rohith Sharma K S commented on YARN-7346:
-----------------------------------------

I think report wasn't sent into yarn-dev rather it was closed discussion with active ATSv2
community folks last week I guess! 

ATSv2 officially claims dependencies of HBase-1.2.6. With that context compiling a Hadoop
does not block. At the same time, HBase-2 compilation also does not block with Hadoop-3-beta
release. Now blocking is ATSv2 dependencies with HBase-2* releases which do not claim officially.


Unless Hbase community releases a HBase-2-beta version, bumping up ATSv2 HBase dependency
version to Hbase-2* and co-processor modifications would be in risk of compatibility. For
this reason, we thought of creating a separate branch that compiles only with HBase-2 version
and corresponding code modifications init.! 

Conditional compilations with profiles would be another way to support multiple HBase version(1.2.*
or 2.*)! But to take any right decisions we need HBase-2-beta release that guarantee no more
API compatibility break! However compiling patch [~haibo.chen] has attached in in umbrell
JIRA YARN-7213 that can be used as of today! 

> Fix compilation errors against hbase2 alpha release
> ---------------------------------------------------
>
>                 Key: YARN-7346
>                 URL: https://issues.apache.org/jira/browse/YARN-7346
>             Project: Hadoop YARN
>          Issue Type: Sub-task
>            Reporter: Ted Yu
>            Assignee: Vrushali C
>
> When compiling hadoop-yarn-server-timelineservice-hbase against 2.0.0-alpha3, I got the
following errors:
> https://pastebin.com/Ms4jYEVB
> This issue is to fix the compilation errors.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-issues-help@hadoop.apache.org


Mime
View raw message